import { Report, ReportColumnScope } from '../../../AdaptableState/ExportState';
import * as React from 'react';
import { AdaptableWizardStep, AdaptableWizardStepProps } from '../../Wizard/Interface/IAdaptableWizard';
export interface ReportColumnTypeWizardProps extends AdaptableWizardStepProps<Report> {
}
export interface ReportColumnsWizardState {
    ReportColumnScope: ReportColumnScope;
}
export declare class ReportColumnTypeWizard extends React.Component<ReportColumnTypeWizardProps, ReportColumnsWizardState> implements AdaptableWizardStep {
    constructor(props: ReportColumnTypeWizardProps);
    render(): React.JSX.Element;
    private onScopeSelectChanged;
    canNext(): boolean;
    canBack(): boolean;
    next(): void;
    back(): void;
    getIndexStepIncrement(): 1 | 2;
    getIndexStepDecrement(): number;
}
